Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository.perforce
Class PerforceChangesCommand

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
              com.atlassian.bamboo.repository.perforce.PerforceChangesCommand

    public class PerforceChangesCommand

extends AbstractPerforceCommand

This obtains the change list numbers for all changes since the last build

Constructor Summary
`PerforceChangesCommand()`

Method Summary
`List` | `getChangeListNumbers()` Extract the changelist number from the output Change 83 on 2004/01/14 by andy@test 'Updated Properties '
`Commandline` | `getCommandLine()` Basic Perforce P4 command line.
`void` | `setDepot(String depot)` Set the build depot
`void` | `setFromDate(Date fromDate)`
`void` | `setToDate(Date toDate)`

Methods inherited from class com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
`getClient, getP4Executable, getPort, getUser, getWorkingDirectory, setClient, setP4Executable, setPort, setUser`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerforceChangesCommand

    public PerforceChangesCommand()

Method Detail

### getCommandLine

    public Commandline getCommandLine()

  Basic Perforce P4 command line.

  E.G.

  p4 -p localhost:1818 -c andy changes -s submitted //andy/perforce/bamboo/...@2004/01/14:00:00:00,2004/01/15:00:00:00

  Specified by:
    `getCommandLine` in class `Command`
  Returns:
    The perforce command to get the change logs submitted within a date range.

### setDepot

    public void setDepot(String depot)

  Set the build depot

  Parameters:
    `depot` - The perforce build depot

### setFromDate

    public void setFromDate(Date fromDate)

### setToDate

    public void setToDate(Date toDate)

### getChangeListNumbers

    public List getChangeListNumbers()

  Extract the changelist number from the output

  Change 83 on 2004/01/14 by andy@test 'Updated Properties '

  Returns:
    the collection of change number strings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.